import { WatchQueryOptions } from './watchQueryOptions';
import { Observable } from './util/Observable';
import { QueryScheduler } from './scheduler';
import { ApolloQueryResult } from './index';
export declare class ObservableQuery extends Observable<ApolloQueryResult> {
    refetch: (variables?: any) => Promise<ApolloQueryResult>;
    stopPolling: () => void;
    startPolling: (p: number) => void;
    options: WatchQueryOptions;
    private queryId;
    private scheduler;
    private queryManager;
    constructor({scheduler, options, shouldSubscribe}: {
        scheduler: QueryScheduler;
        options: WatchQueryOptions;
        shouldSubscribe?: boolean;
    });
    result(): Promise<ApolloQueryResult>;
}
